gss_release_cred(3)

NAME
gss_release_cred - API function

SYNOPSIS
#include <gss.h>

OM_uint32 gss_release_cred(OM_uint32 * minor_status, gss_cred_id_t * cred_handle);

ARGUMENTS

OM_uint32 * minor_status
    (Integer, modify) Mechanism specific status code.

gss_cred_id_t * cred_handle
    (gss_cred_id_t, modify, optional) Opaque handle
      identifying credential to be released. If GSS_C_NO_CREDENTIAL is
      supplied, the routine will complete successfully, but will do
      nothing.

DESCRIPTION
Informs GSS-API that the specified credential handle is no longer required by the application, and frees associated resources. The cred_handle is set to GSS_C_NO_CREDENTIAL on successful completion of this call.

RETURN VALUE

`GSS_S_COMPLETE`: Successful completion.

`GSS_S_NO_CRED`: Credentials could not be accessed.

REPORTING BUGS
Report bugs to <bug-gss@gnu.org>. GNU Generic Security Service home page: http://www.gnu.org/software/gss/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2003-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gss is maintained as a Texinfo manual. If the info and gss programs are properly installed at your site, the command

    info gss

should give you access to the complete manual.